### Hierarchy

- TableHeadCell

### Implements

- OnChanges

## Index

### Inputs

- column
- skeleton
- sortable
- filterTitle
- sortAscendingLabel
- sortDescendingLabel

### Outputs

- sort

### Constructors

- constructor

### Properties

- _filterTitle
- _sortAscendingLabel
- _sortDescendingLabel
- column
- i18n
- skeleton
- sort
- sortable
- theadAction

### Accessors

- filterTitle
- sortAscendingLabel
- sortDescendingLabel

### Methods

- getFilterTitle
- getSortAscendingLabel
- getSortDescendingLabel
- ngOnChanges
- onClick
- sortLabelMap

## Constructors

### constructor

- new TableHeadCell(i18n: I18n): TableHeadCell

- - Defined in src/table/head/table-head-cell.component.ts:144

  #### Parameters

  - ##### i18n: I18n

  #### Returns TableHeadCell

## Properties

### Protected _filterTitle

_filterTitle: Overridable = this.i18n.getOverridable("TABLE.FILTER")

- Defined in src/table/head/table-head-cell.component.ts:144

### Protected _sortAscendingLabel

_sortAscendingLabel: Overridable = this.i18n.getOverridable("TABLE.SORT_ASCENDING")

- Defined in src/table/head/table-head-cell.component.ts:143

### Protected _sortDescendingLabel

_sortDescendingLabel: Overridable = this.i18n.getOverridable("TABLE.SORT_DESCENDING")

- Defined in src/table/head/table-head-cell.component.ts:142

### column

@Input()
column: TableHeaderItem

- Defined in src/table/head/table-head-cell.component.ts:102

### Protected i18n

i18n: I18n

- Defined in src/table/head/table-head-cell.component.ts:146

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/table/head/table-head-cell.component.ts:104

### sort

@Output()
sort: EventEmitter<Object> = new EventEmitter()

- Defined in src/table/head/table-head-cell.component.ts:138

### sortable

@Input()
sortable: boolean = true

- Defined in src/table/head/table-head-cell.component.ts:106

### theadAction

@HostBinding({"hostPropertyName":"class.thead_action"})
theadAction: boolean = false

- Defined in src/table/head/table-head-cell.component.ts:140

## Accessors

### filterTitle

@Input()
filterTitle:

- Defined in src/table/head/table-head-cell.component.ts:127
- Defined in src/table/head/table-head-cell.component.ts:131

### sortAscendingLabel

@Input()
sortAscendingLabel:

- Defined in src/table/head/table-head-cell.component.ts:118
- Defined in src/table/head/table-head-cell.component.ts:122

### sortDescendingLabel

@Input()
sortDescendingLabel:

- Defined in src/table/head/table-head-cell.component.ts:109
- Defined in src/table/head/table-head-cell.component.ts:113

## Methods

### getFilterTitle

- getFilterTitle(): Observable<string>

- - Defined in src/table/head/table-head-cell.component.ts:162

  #### Returns Observable<string>

### getSortAscendingLabel

- getSortAscendingLabel(): Observable<string>

- - Defined in src/table/head/table-head-cell.component.ts:158

  #### Returns Observable<string>

### getSortDescendingLabel

- getSortDescendingLabel(): Observable<string>

- - Defined in src/table/head/table-head-cell.component.ts:154

  #### Returns Observable<string>

### ngOnChanges

- ngOnChanges(): void

- - Defined in src/table/head/table-head-cell.component.ts:148

  #### Returns void

### onClick

- onClick(): void

- - Defined in src/table/head/table-head-cell.component.ts:166

  #### Returns void

### Protected sortLabelMap

- sortLabelMap(): OperatorFunction<string, string>

- - Defined in src/table/head/table-head-cell.component.ts:172

  #### Returns OperatorFunction<string, string>

Generated using TypeDoc